.footer {
    padding-bottom: rem(4);

    &__container {
        border-radius: rem(5);
        background-color: var(--gray);
    }

    &__primary {
        padding: rem(24);
        position: relative;
    }

    &__content {
        display: flex;
        row-gap: rem(24);
        flex-direction: column;
        margin-bottom: rem(32);
    }

    &__buttons {
        display: flex;
        row-gap: rem(8);
        column-gap: rem(8);
        align-items: center;
    }

    &__address {
        color: white;
        fill: var(--orange);
        font-weight: 600;
        font-size: rem(14);
        line-height: rem(20);
        white-space: wrap;
        text-decoration: none;
        display: flex;
        align-items: center;
        column-gap: rem(8);

        i {
            font-size: 0;
            line-height: 0;
            display: block;
            width: rem(24);
            height: rem(24);
            flex-shrink: 0;
        }
    }

    &__contact {
        font-size: rem(14);
        line-height: rem(20);
        display: flex;
        align-items: flex-start;
        flex-direction: column;
        row-gap: rem(24);
    }

    &__nav {
        display: flex;
        flex-direction: column;
        row-gap: rem(32);
    }

    &__secondary {
        padding: rem(8) rem(24) rem(24) rem(24);
    }

    &__up {
        top: rem(24);
        right: rem(24);
        z-index: 10;
        font-size: 0;
        line-height: 0;
        width: rem(48);
        height: rem(48);
        stroke: #080808;
        overflow: hidden;
        position: absolute;
        border-radius: 50%;
        background-color: white;
        transition: var(--transition-time);
        display: flex;
        align-items: center;
        justify-content: center;

        i {
            width: rem(20);
            height: rem(20);
            display: block;
            flex-shrink: 0;
        }

        &:hover {
            stroke: white;
            background-color: var(--orange);
            transition: var(--transition-time);
        }

        &:active {
            stroke: #080808;
            background-color: white;
        }
    }

    @include media-breakpoint-up(md) {

        &__primary {
            padding: rem(40) rem(32);
        }

        &__content {
            row-gap: rem(38);
            column-gap: rem(38);
            margin-bottom: rem(48);
            flex-direction: row;
            flex-wrap: wrap;
            align-items: center;
        }

        &__logo {
            width: 100%;
        }

        &__address {
            white-space: nowrap;
        }

        &__social {
            width: rem(210);
            flex-shrink: 0;
        }

        &__buttons {
            flex-wrap: wrap;
            width: rem(136);
        }

        &__contact {
            row-gap: rem(32);
        }

        &__up {
            top: rem(36);
            right: rem(23);
        }

        &__nav {
            flex-wrap: wrap;
            flex-direction: row;
            row-gap: rem(48);
        }

        &__secondary {
            padding: rem(8) rem(32) rem(28) rem(32);
        }
    }

    @include media-breakpoint-up(lg) {

        &__nav {
            column-gap: rem(32);
            flex-wrap: nowrap;
            justify-content: space-between;
        }

        &__social {
            width: auto;
        }

        &__buttons {
            width: auto;
            flex-wrap: nowrap;
        }

        &__content {
            flex-wrap: nowrap;
        }

        &__logo {
            width: auto;
        }

        &__contact {
            flex-direction: row;
            column-gap: rem(38);
        }

        &__up {
            top: calc(100% + 50px);
        }
    }

    @include media-breakpoint-up(xl) {

        &__container {
            border-radius: 0;
            background: transparent;
        }

        &__primary {
            padding: rem(48);
            border-radius: rem(5);
            background-color: var(--gray);
        }

        &__secondary {
            padding: rem(12) rem(48) rem(40) rem(48);
        }

        &__up {
            top: rem(144);
        }

        &__content {
            column-gap: 0;
            margin-bottom: rem(56);
            justify-content: space-between;
        }

        &__logo {
            width: rem(209);
            flex-shrink: 0;
            order: 1;
        }

        &__contact {
            order: 2;
            flex-grow: 1;
            column-gap: 0;
        }

        &__social {
            order: 3;
        }

        &__phone {
            width: rem(280);
        }

        &__nav {
            column-gap: rem(102);
            justify-content: flex-start;
        }
    }
}

.footer-logo {
    display: block;
    width: rem(43);
}

.footer-phone {
    color: white;
    fill: var(--orange);
    font-weight: 600;
    font-size: rem(14);
    line-height: rem(20);
    white-space: nowrap;
    text-decoration: none;
    display: flex;
    align-items: center;
    column-gap: rem(8);
    opacity: 1;
    transition: var(--transition-time);

    &:hover {
        color: white;
        fill: var(--orange);
        text-decoration: none;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: block;
        width: rem(24);
        height: rem(24);
        flex-shrink: 0;
    }

    span {

    }

    &:hover {
        opacity: .7;
        transition: var(--transition-time);
    }

    @include media-breakpoint-up(md) {

        span {
            background: linear-gradient(90deg, rgba(255,255,255,1) 0%, rgba(255,255,255,0.6) 40%, rgba(255,255,255,0) 90%);
            -webkit-background-clip: text;
            -webkit-text-fill-color: transparent;
        }

        &.active {
            color: white;
            background: linear-gradient(90deg, white 0%, white 40%, white 90%);
            -webkit-background-clip: text;
            -webkit-text-fill-color: transparent;
        }
    }
}

.footer-nav {
    font-size: rem(14);
    line-height: rem(20);

    &__title {
        font-weight: 600;
        font-size: rem(16);
        line-height: rem(16);
        max-width: rem(236);
        text-transform: uppercase;
        margin-bottom: rem(24);
        padding-bottom: rem(12);
        border-bottom: 1px solid rgba(255, 255, 255, 0.1);
    }

    &__main {
        display: grid;
        grid-template-columns: 1fr;
        grid-row-gap: rem(12);
    }

    &__menu {
        margin: 0;
        padding: 0;
        list-style: none;
        display: flex;
        flex-direction: column;
        row-gap: rem(12);
    }

    &__link {
        color: white;
        opacity: .7;
        text-decoration: none;
        transition: var(--transition-time);

        &:hover {
            opacity: 1;
            transition: var(--transition-time);
        }
    }

    @include media-breakpoint-up(md) {

        &__main {

            &--info {
                grid-column-gap: rem(48);
                grid-template-columns: rem(200) 1fr;
            }
        }

        &__title {
            max-width: inherit;
        }

        &--info {
            width: 100%;

            .footer-nav {

                &__title {
                    width: rem(382);
                }

                &__main {
                    grid-column-gap: rem(48);
                    grid-template-columns: rem(200) 1fr;
                }
            }
        }

        &--navigation {
            flex-shrink: 0;
            width: rem(248);

            .footer-nav {

                &__title {
                    width: rem(100);
                }

                &__menu {
                    width: rem(130);
                }
            }
        }

        &--menu {

            .footer-nav {

                &__title {
                    width: rem(248);
                }

                &__main {
                    grid-column-gap: rem(32);
                    grid-template-columns: 1fr 1fr;
                }
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &--info {
            width: auto;

            .footer-nav {

                &__title {
                    width: rem(382);
                }

                &__menu {
                    width: rem(208);
                    flex-shrink: 0;
                }
            }
        }

        &--navigation {
            width: rem(164);
        }
    }

    @include media-breakpoint-up(xl) {

        &--info {
            width: rem(394);
            flex-shrink: 0;

            .footer-nav {

                &__title {
                    width: rem(394);
                }

                &__main {
                    column-gap: rem(26);
                }

                &__menu {
                    width: rem(184);
                    flex-shrink: 0;
                }
            }
        }

        &--navigation {
            width: rem(120);

            .footer-nav {

            }
        }
    }
}

.footer-links {
    font-size: rem(14);
    line-height: rem(20);
    padding-top: rem(32);
    border-top: 1px solid rgba(255, 255, 255, 0.1);
    display: flex;
    flex-direction: column;
    row-gap: rem(12);

    &__group {
        margin: 0;
        padding: 0;
        list-style: none;
        display: flex;
        flex-direction: column;
        row-gap: rem(12);
    }

    &__link {
        color: white;
        opacity: .5;
        text-decoration: none;
        transition: var(--transition-time);

        &:hover {
            opacity: 1;
            transition: var(--transition-time);
        }
    }

    &__divider {
        display: none;
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(38);
        flex-direction: row;
        column-gap: rem(48);

        &__group {
            flex-shrink: 0;
            row-gap: rem(16);

            &:first-child {
                width: rem(200);
            }
        }
    }

    @include media-breakpoint-up(lg) {
        flex-direction: column;

        &__group {
            align-items: center;
            flex-direction: row;
            column-gap: rem(38);

            &:first-child {
                width: auto;
            }
        }
    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(24);
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        column-gap: rem(24);

        &__group {
            flex-grow: 1;
            column-gap: 0;
            justify-content: space-between;
        }


        &__divider {
            display: block;
            width: 2px;
            height: 10px;
            flex-shrink: 0;
            background: rgba(255, 255, 255, 0.1);
        }
    }
}



@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
